Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchExtFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPExtFactory
          com.verisign.epp.codec.launch.EPPLaunchExtFactory

    public class EPPLaunchExtFactory

extends EPPExtFactory

The EPPCodec Extension Factory that needs to be configured to encode/decode LaunchPhase extensions. The LaunchPhase URI is: http://www.verisign.com/epp/launchInf-1.0

Field Summary
`static java.lang.String` | `NS` Namespace URI associated with EPPLaunchExtFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPLaunchExtFactory.
`static java.lang.String` | `NS_SCHEMA` XML Schema definition for EPPLaunchExtFactory

Constructor Summary
`EPPLaunchExtFactory()` Create a new instance of EPPLaunchExtFactory

Method Summary
`EPPCodecComponent` | `createExtension(org.w3c.dom.Element aExtensionElm)` Creates the appropriate EPPLaunchExt object based on the passed DOM element.
`EPPProtocolExtension` | `createProtocolExtension(org.w3c.dom.Element aExtensionElm)` Overridden but doesn't do anything in the context of EPPLaunchExtFactory.
`EPPService` | `getService()` Returns the EPPService instance associated with this ExtFactory.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPLaunchExtFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPLaunchExtFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  XML Schema definition for EPPLaunchExtFactory

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchExtFactory

    public EPPLaunchExtFactory()

  Create a new instance of EPPLaunchExtFactory

Method Detail

### createProtocolExtension

    public EPPProtocolExtension createProtocolExtension(org.w3c.dom.Element aExtensionElm)
                                                 throws EPPCodecException

  Overridden but doesn't do anything in the context of EPPLaunchExtFactory. Throws an EPPCodecException if called

  Specified by:
    `createProtocolExtension` in class `EPPExtFactory`
  Parameters:
    `aExtensionElm` - DOM `Element` to create protocol extension from
  Returns:
    Protocol extension
  Throws:
    `EPPCodecException` - On error

### createExtension

    public EPPCodecComponent createExtension(org.w3c.dom.Element aExtensionElm)
                                      throws EPPCodecException

  Creates the appropriate EPPLaunchExt object based on the passed DOM element.

  Specified by:
    `createExtension` in class `EPPExtFactory`
  Parameters:
    `aExtensionElm` - The DOM element that is a parent to the EPPLaunchExt XML fragment
  Returns:
    A concrete EPPCodecComponet that knows how to decode itself from the rest of the DOM document.
  Throws:
    `EPPCodecException` - Thrown if an unrecognized EPPLaunchExt element is found below the passed in extension element

### getService

    public EPPService getService()

  Returns the EPPService instance associated with this ExtFactory. The EPPService instance contains the XML Namespace and XML Schema location

  Specified by:
    `getService` in class `EPPExtFactory`
  Returns:
    the EPPService instance associated with this ExtFactory

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPExtFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.